Subject: bug#9931: closed (Re: bug#9931: Remove a non empty directory)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Nov 2011 16:19:02 +0000

Your bug report

#9931: Remove a non empty directory

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9931: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9931
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9931: Remove a non empty directory
From: Eric Blake <[email-masked]>
To: Olivier LE GUEN <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Nov 2011 10:15:55 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 9931 notabug
thanks

On 11/01/2011 04:55 AM, Olivier LE GUEN wrote:
>   My problem is I can't remove a non empty directory because there's no "-r" option in "rmdir".
>   How can I have a recursive function ?

Thanks for the report.  However, this is unlikely to be changed in 
'rmdir', because POSIX already standardized 'rm -r' as the way to 
recursively remove directories.  So many people are used to 'rm -r' 
doing what you are asking for, that adding an extension of 'rmdir -r' as 
an alternative would only cause confusion, not to mention that the 
extension would not be available everywhere like 'rm -r' already is.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: Remove a non empty directory
From: "Olivier LE GUEN" <[email-masked]>
To: [email-masked]
Date: Tue, 01 Nov 2011 11:55:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

 I use Putty to connect my ReadyNas Ultra2 in SSH mode. 
 My problem is I can't remove a non empty directory because there's no "-r" option in "rmdir".
 How can I have a recursive function ?

 Thanks,

 Best regards,

 Olivier